# Created by pyp2rpm-3.3.2
%global pypi_name vnu-validator

Name:           python-%{pypi_name}
Version:        0.8.0
Release:        %mkrel 3
Summary:        Python Wrapper for the v.Nu HTML Validator
Group:          Development/Python
License:        MIT license
URL:            https://github.com/shlomif/python-vnu_validator
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)

%description
Overview Python Wrapper for the v.Nu HTML Validator* Free software: MIT
licenseInstallation :: pip install vnu-validatorDocumentation Development To
run the all tests run:: toxNote, to combine the coverage data from all the tox
environments run:.. list-table:: :widths: 10 90 :stub-columns: 1 - - Windows -
:: set PYTEST_ADDOPTS--cov-append tox - - Other - :: PYTEST_ADDOPTS--cov-append
tox...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Overview Python Wrapper for the v.Nu HTML Validator* Free software: MIT
licenseInstallation :: pip install vnu-validatorDocumentation Development To
run the all tests run:: toxNote, to combine the coverage data from all the tox
environments run:.. list-table:: :widths: 10 90 :stub-columns: 1 - - Windows -
:: set PYTEST_ADDOPTS--cov-append tox - - Other - :: PYTEST_ADDOPTS--cov-append
tox...

%package -n python-%{pypi_name}-doc
Summary:        vnu-validator documentation
%description -n python-%{pypi_name}-doc
Documentation for vnu-validator

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
rm -rf %{buildroot}%{_bindir}/*
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc docs/readme.rst README.rst
%{_bindir}/vnu-validator
%{python3_sitelib}/vnu_validator
%{python3_sitelib}/vnu_validator-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.8.0-3.mga8
+ Revision: 1533984
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 0.8.0-2.mga8
+ Revision: 1446537
- rebuild for python3.8

* Fri Sep 06 2019 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1437897
- New version 0.8.0

* Mon Jan 07 2019 shlomif <shlomif> 0.4.2-2.mga7
+ Revision: 1350377
- Rebuild for python3 3.7

* Mon Nov 05 2018 shlomif <shlomif> 0.4.2-1.mga7
+ Revision: 1328593
- New version 0.4.2

* Mon Nov 05 2018 shlomif <shlomif> 0.4.1-1.mga7
+ Revision: 1328491
- New version 0.4.1

* Mon Nov 05 2018 shlomif <shlomif> 0.4.0-1.mga7
+ Revision: 1328479
- New version 0.4.0

* Mon Oct 08 2018 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1318693
- pyp2rpm

